Page MenuHomePhabricator

[clang-nvlink-wrapper] Add documentation in clang docs
ClosedPublic

Authored by saiislam on Sep 3 2021, 4:23 AM.

Details

Summary

Add documentation of clang-nvlink-wrapper tool in clang. Add it to
the release notes of clang.

Diff Detail

Event Timeline

saiislam created this revision.Sep 3 2021, 4:23 AM
saiislam requested review of this revision.Sep 3 2021, 4:23 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 3 2021, 4:23 AM
saiislam updated this revision to Diff 370543.Sep 3 2021, 4:30 AM

Added MSVC warning fix also.

sylvestre.ledru added inline comments.Sep 3 2021, 4:40 AM
clang/docs/ClangNvlinkWrapper.rst
20

heterogenous ==> heterogeneous

sylvestre.ledru added inline comments.Sep 3 2021, 4:54 AM
clang/docs/ClangNvlinkWrapper.rst
2

please remove one "="
rst expects alignment

58

please add a new line

clang/docs/ReleaseNotes.rst
151

I think you should use rst link here. Not absolute link (ex: if I generate the doc locally)
:ref:Clang Nvlink Wrapper
should work

aaron.ballman accepted this revision.Sep 3 2021, 4:57 AM

LGTM with only minor nits from me, thank you!

clang/docs/ClangNvlinkWrapper.rst
14
16
17
18
23
30

Also, 80-col limit.

40
52
58

Might as well add the newline.

clang/docs/ReleaseNotes.rst
150–151
This revision is now accepted and ready to land.Sep 3 2021, 4:57 AM
saiislam updated this revision to Diff 370559.Sep 3 2021, 5:40 AM
saiislam marked 14 inline comments as done.
  1. Fixed wording as suggested.
  2. Replaced hyperlink to generate html, using the :doc: tag as used in other places.
This revision was landed with ongoing or failed builds.Sep 5 2021, 11:31 PM
This revision was automatically updated to reflect the committed changes.
RKSimon added a subscriber: RKSimon.Sep 9 2021, 7:20 AM
RKSimon added inline comments.
clang/docs/ClangNvlinkWrapper.rst
17

@saiislam The "(*.cubin)" appears to be causing a buildbot failure as it treats sphinx warnings as errors: https://lab.llvm.org/buildbot/#/builders/92/builds/14751

saiislam marked an inline comment as done.Sep 9 2021, 11:29 AM
saiislam added inline comments.
clang/docs/ClangNvlinkWrapper.rst
17

Thank you!
Fixed with [[ https://github.com/llvm/llvm-project/commit/543604f30eddc5c9390d0fb01b0ac67937cbba0e | [clang-nvlink-wrapper][docs][NFC] Fix sphinx warning about asterisk ]]

RKSimon added inline comments.Sep 9 2021, 11:48 AM
clang/docs/ClangNvlinkWrapper.rst
17

Awesome - and thanks for the quick response.